Event Class Referenceabstract

`#include <event.h>`

Inheritance diagram for Event:

## Public Member Functions

| Event (const char *const name)
virtual void | event ()=0

## Friends

class | EventScheduler

## Detailed Description

Event scheduler (based on alarm from Vice). Created in 2001 by Simon A. White.

Optimized EventScheduler and corresponding Event class by Antti S. Lankila in 2009.

Author
  Antti Lankila

## Constructor & Destructor Documentation

Event::Event | ( | const char *const | name | ) |

inline

Events are used for delayed execution. Name is not used by code, but is useful for debugging.

Parameters

  name | Descriptive string of the event.

## Member Function Documentation

virtual void Event::event | ( |  | ) |

pure virtual

Event code to be executed. Events are allowed to safely reschedule themselves with the EventScheduler during invocations.

Implemented in MOS656X, and Mixer.

The documentation for this class was generated from the following file:

- event.h